## libgweather 3.14.1

=== debian/changelog ===
libgweather (3.14.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes yr.no weather backend. (Closes: #761195)
  * Add Homepage field.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Oct 2014 20:57:00 +0200

libgweather (3.14.0-2) unstable; urgency=medium

  * Install gir1.2-gweather-3.0 files in multi-arch path (Closes: #764446)
    - previous attempt at trying to avoid m-a installed things in wrong dir.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Oct 2014 21:37:26 +0200

libgweather (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gir1.2-gweather-3.0.install: fix building with new
    multiarchified gobject-introspection version.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 19:55:36 +0200

libgweather (3.13.91-1) experimental; urgency=medium

  * New upstream release
  * debian/libgweather-3-6.symbols: Updated
  * debian/control.in: Bump b-d

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 07 Sep 2014 14:18:36 +0200

libgweather (3.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Jackson Doak ]
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 12 Jul 2014 15:12:22 +0200

libgweather (3.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 May 2014 20:22:22 +0200

libgweather (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Mar 2014 19:04:18 +0100

libgweather (3.11.91-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release
    - Update symbols for new release
  * debian/control: Bump standard-version to 3.9.5 (no changes)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Mar 2014 19:43:53 +0100

libgweather (3.10.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 22 Feb 2014 19:13:48 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgweather
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               cdbs (>= 0.4.73),
               gnome-common,
               gnome-pkg-tools,
               libxml2-dev (>= 2.6.0),
               libglib2.0-dev (>= 2.35.1),
               libgtk-3-dev (>= 3.13.5),
               libsoup2.4-dev (>= 2.34.0),
               intltool (>= 0.50.0),
               pkg-config (>= 0.19),
               libxml2-utils,
               gtk-doc-tools,
               libglib2.0-doc,
               libgtk-3-doc,
               libgirepository1.0-dev (>= 0.9.5),
               gobject-introspection (>= 0.9.12-4~),
               valac (>= 0.20),
               libgeocode-glib-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgweather
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgweather
Homepage: https://wiki.gnome.org/Projects/LibGWeather


Package: libgweather-3-dev
Section: libdevel
Architecture: any
Depends: libgweather-3-6 (= ${binary:Version}),
         gir1.2-gweather-3.0 (= ${binary:Version}),
         libxml2-dev (>= 2.6.0),
         libglib2.0-dev (>= 2.35.1),
         libgtk-3-dev (>= 3.0.0),
         libsoup2.4-dev (>= 2.34.0),
         ${misc:Depends}
Description: GWeather development files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the include files and static library.

Package: libgweather-3-6
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgweather-common (>= 3.5.0)
Description: GWeather shared library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains shared libraries.

Package: libgweather-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgweather1 (<< 2.22.2-2)
Description: GWeather common files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the weather locations.

Package: gir1.2-gweather-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GWeather library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains introspection data for the GWeather library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## libgweather 3.16.0

=== debian/changelog ===
libgweather (3.16.0-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 29 Mar 2015 06:54:24 +1100

libgweather (3.15.90-0ubuntu1) vivid; urgency=medium

  [ Jackson Doak ]
  * New upstream release.

  [ Robert Ancell ]
  * debian/libgweather-3-6.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Feb 2015 10:28:41 +1300

libgweather (3.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge from debian. Remaining changes:
    - debian/control.in, debian/rules:
      + Run autoreconf
    - debian/rules:
      + Generate POT files on build
    - debian/patches/02_no_external_gettext.patch:
      + Can't have both IT_PROG_INTLTOOL and AM_GNU_GETTEXT
    - debian/control: Update Vcs-* field.

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 06 Jan 2015 06:15:50 +1100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Source: libgweather
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.73),
+               dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
                libxml2-dev (>= 2.6.0),
@@ -27,8 +29,7 @@
                valac (>= 0.20),
                libgeocode-glib-dev
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgweather
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgweather
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libgweather/ubuntu
 Homepage: https://wiki.gnome.org/Projects/LibGWeather

## libgweather 3.16.1

=== debian/changelog ===
libgweather (3.16.1-1ubuntu1) wily; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/control.in, debian/rules:
      + Run autoreconf
    - debian/rules:
      + Generate POT files on build
    - debian/patches/02_no_external_gettext.patch:
      + Can't have both IT_PROG_INTLTOOL and AM_GNU_GETTEXT
    - debian/control: Update Vcs-* field.

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 22 May 2015 07:42:51 +1000

libgweather (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop clean-la.mk include, we no longer ship any libtool .la files.
  * Add new gweather_location_new_detached symbol to symbols file.
  * Convert to multiarch.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 May 2015 01:00:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Source: libgweather
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                autotools-dev,
-               cdbs (>= 0.4.73),
+               cdbs (>= 0.4.93),
                dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
@@ -36,6 +36,7 @@
 Package: libgweather-3-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libgweather-3-6 (= ${binary:Version}),
          gir1.2-gweather-3.0 (= ${binary:Version}),
          libxml2-dev (>= 2.6.0),
@@ -51,6 +52,8 @@
 
 Package: libgweather-3-6
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgweather-common (>= 3.5.0)
@@ -62,6 +65,7 @@
 
 Package: libgweather-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: libgweather1 (<< 2.22.2-2)
@@ -74,6 +78,7 @@
 Package: gir1.2-gweather-3.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}

## libgweather 3.18.1

=== debian/changelog ===
libgweather (3.18.1-1ubuntu1) xenial; urgency=medium

  * Merge from debian (LP: #1509607). Remaining changes: 
    - debian/control.in, debian/rules:
      + Run autoreconf
    - debian/rules:
      + Generate POT files on build
    - debian/patches/02_no_external_gettext.patch:
      + Can't have both IT_PROG_INTLTOOL and AM_GNU_GETTEXT
    - debian/control: Update Vcs-* field.

 -- Tim Lunn <tim@feathertop.org>  Sat, 24 Oct 2015 16:39:51 +1100

libgweather (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/99_ltmain_as-needed.patch.
  * Stop overriding DEB_BUILDDIR, no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Oct 2015 18:34:37 +0200

libgweather (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new symbol (gweather_temperature_unit_to_real) to the symbols file.
  * Update debian/copyright.
  * Drop ancient Conflicts against libgweather1.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Sep 2015 11:40:20 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                cdbs (>= 0.4.93),
@@ -31,7 +31,6 @@
 Standards-Version: 3.9.6
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libgweather/ubuntu
 Homepage: https://wiki.gnome.org/Projects/LibGWeather
-
 
 Package: libgweather-3-dev
 Section: libdevel
@@ -68,7 +67,6 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libgweather1 (<< 2.22.2-2)
 Description: GWeather common files
  libgweather is a library to access weather information from online
  services for numerous locations.
@@ -90,4 +88,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-

## libgweather 3.18.2

=== debian/changelog ===
libgweather (3.18.2-0ubuntu0.2) xenial; urgency=medium

  * Add langpack-hack.patch:
    - Rename the gettext template to work around Launchpad issue. This
      fixes the untranslated weather conditions in the GNOME Weather
      app. (LP: #1704533)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 11 Dec 2017 20:25:00 +0100

libgweather (3.18.2-0ubuntu0.1) xenial; urgency=medium

  * New upstream bugfix release.
    - Switches to a new METAR data provider (LP: #1620557).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 06 Sep 2016 13:25:51 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                cdbs (>= 0.4.93),

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
                             --enable-locations-compression \
                             --enable-static \
                             --enable-gtk-doc

build:
	cd po; intltool-update --pot
	cd po-locations; intltool-update --gettext-package libgweather-locations --pot

## libgweather 3.20.3

=== debian/changelog ===
libgweather (3.20.3-1ubuntu1) yakkety; urgency=medium

  * Add Rename-Rangoon-to-Yangon.patch:
    - Update data/Locations.xml.in for Rangoon > Yangon name change.
      Fixes FTBFS with tzdata 2016g. Don't change the Name field
      so that translations are not affected.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 30 Sep 2016 18:18:55 -0400

libgweather (3.20.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 31 Aug 2016 18:08:49 +0200

libgweather (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch from cdbs to dh

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 16 Aug 2016 10:53:47 +0200

libgweather (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Enable and install glade catalog file.
  * Bump Standards-Version to 3.9.8.
  * Drop obsolete --enable-locations-compression configure switch.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 17:22:45 +0200

libgweather (3.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 16:32:21 +0100

libgweather (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Bump libsoup2.4-dev (build-)dependency to (>= 2.44.0)
  * Bump Standards-Version to 3.9.7.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 21:59:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
-               cdbs (>= 0.4.93),
-               dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
                libxml2-dev (>= 2.6.0),
                libglib2.0-dev (>= 2.35.1),
                libgtk-3-dev (>= 3.13.5),
-               libsoup2.4-dev (>= 2.34.0),
+               libsoup2.4-dev (>= 2.44.0),
                intltool (>= 0.50.0),
                pkg-config (>= 0.19),
                libxml2-utils,
@@ -27,9 +25,11 @@
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
                valac (>= 0.20),
-               libgeocode-glib-dev
-Standards-Version: 3.9.6
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libgweather/ubuntu
+               libgeocode-glib-dev,
+               libgladeui-dev
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgweather
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgweather
 Homepage: https://wiki.gnome.org/Projects/LibGWeather
 
 Package: libgweather-3-dev
@@ -41,7 +41,7 @@
          libxml2-dev (>= 2.6.0),
          libglib2.0-dev (>= 2.35.1),
          libgtk-3-dev (>= 3.0.0),
-         libsoup2.4-dev (>= 2.34.0),
+         libsoup2.4-dev (>= 2.44.0),
          ${misc:Depends}
 Description: GWeather development files
  libgweather is a library to access weather information from online

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
                             --enable-static \
                             --enable-gtk-doc \
                             --enable-glade-catalog

## libgweather 3.20.4

=== debian/changelog ===
libgweather (3.20.4-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (Closes: #839365)
  * debian/control.in: Explicitly Build-Depend on tzdata

  [ Michael Biebl ]
  * Bump debhelper compat level to 10 for automatic autoreconf.
    (Closes: #558572)
  * Drop 99_ltmain_as-needed.patch and use dh_autoreconf --as-needed instead.
  * Enable gir addon to ensure proper dependencies for gir1.2-gweather-3.0.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Dec 2016 01:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 Source: libgweather
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gnome-common,
                gnome-pkg-tools,
                libxml2-dev (>= 2.6.0),
@@ -24,6 +22,7 @@
                libgtk-3-doc,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
+               tzdata (>= 2016g),
                valac (>= 0.20),
                libgeocode-glib-dev,
                libgladeui-dev

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@ --with gir,gnome
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## libgweather 3.24.0

=== debian/changelog ===
libgweather (3.24.0-0ubuntu2) zesty; urgency=medium

  * Add git_guard-against-segfault.patch:
    - Backport patch to prevent a crash

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Mar 2017 19:18:57 -0400

libgweather (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/libgweather-3-6.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2017 17:01:12 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: libgweather
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-common,
                gnome-pkg-tools,

## libgweather 3.24.1

=== debian/changelog ===
libgweather (3.24.1-0ubuntu0.2) zesty; urgency=medium

  * Add langpack-hack.patch:
    - Rename the gettext template to work around Launchpad issue. This
      fixes the untranslated weather conditions in the GNOME Weather
      app. (LP: #1704533)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 11 Dec 2017 20:29:00 +0100

libgweather (3.24.1-0ubuntu0.1) zesty; urgency=medium

  * New upstream bugfix release
    - Fix memory corruption that crashes gnome-shell
      (LP: #1695567) (LP: #1688208) Thanks Tim Lunn for triaging!
  * Drop git_guard-against-segfault.patch, applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Jun 2017 23:06:59 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-common,
                gnome-pkg-tools,

## libgweather 3.26.0

=== debian/changelog ===
libgweather (3.26.0-1ubuntu0.1) artful; urgency=medium

  * Add langpack-hack.patch:
    - Rename the gettext template to work around Launchpad issue. This fixes
      the untranslated weather conditions in the GNOME Weather app.
     (LP: #1704533)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 11 Dec 2017 12:54:00 +0100

libgweather (3.26.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 15:13:50 -0400

libgweather (3.25.92-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Sep 2017 15:01:29 -0400

libgweather (3.25.91-1) unstable; urgency=medium

  * New upstream release
  * debian/libgweather-3-6.symbols: Add new symbols
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 14:02:14 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-common,
                gnome-pkg-tools,
@@ -27,7 +27,7 @@
                valac (>= 0.20),
                libgeocode-glib-dev,
                libgladeui-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgweather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgweather
 Homepage: https://wiki.gnome.org/Projects/LibGWeather

## libgweather 3.28.1

=== debian/changelog ===
libgweather (3.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Mar 2018 13:27:24 -0400

libgweather (3.28.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Mar 2018 11:37:04 -0400

libgweather (3.28.0-1) experimental; urgency=medium

  * New upstream release (LP: #1753136)
  * Have libgweather-3-dev depend on libgeocode-glib-dev
  * Add workaround for Ubuntu translations issue
  * Update debian/docs to install README.md (Closes: #891540)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 09 Mar 2018 06:18:19 -0500

libgweather (3.27.4-1) experimental; urgency=medium

  * New upstream development release
  * Rename library to match new soname
  * Build with meson
  * Build-Depend on ca-certificates for build tests
  * Set XDG_RUNTIME_DIR to a writable location for build tests
  * Ignore build test failures since some tests require Internet access
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Feb 2018 08:11:06 -0500

libgweather (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump debhelper compat to 11
  * Build with all hardening flags
  * Add debian/docs to install NEWS and README

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Dec 2017 19:01:25 -0500

libgweather (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Dec 2017 10:40:37 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgweather
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11.1.3),
               ca-certificates <!nocheck>,
               gnome-pkg-tools,
               libxml2-dev (>= 2.6.0),
               libglib2.0-dev (>= 2.35.1),
               libgtk-3-dev (>= 3.13.5),
               libsoup2.4-dev (>= 2.44.0),
               meson (>= 0.43),
               pkg-config (>= 0.19),
               libxml2-utils,
               gtk-doc-tools,
               libglib2.0-doc,
               libgtk-3-doc,
               libgirepository1.0-dev (>= 0.9.5),
               gobject-introspection (>= 0.9.12-4~),
               tzdata (>= 2016g),
               valac (>= 0.20),
               libgeocode-glib-dev,
               libgladeui-dev
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/gnome-team/libgweather
Vcs-Git: https://salsa.debian.org/gnome-team/libgweather.git
Homepage: https://wiki.gnome.org/Projects/LibGWeather

Package: libgweather-3-15
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgweather-common (>= 3.5.0)
Description: GWeather shared library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains shared libraries.

Package: libgweather-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgweather-3-15 (= ${binary:Version}),
         gir1.2-gweather-3.0 (= ${binary:Version}),
         libgeocode-glib-dev,
         libglib2.0-dev (>= 2.35.1),
         libgtk-3-dev (>= 3.0.0),
         libsoup2.4-dev (>= 2.44.0),
         libxml2-dev (>= 2.6.0),
         ${misc:Depends}
Description: GWeather development files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the include files and static library.

Package: libgweather-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GWeather common files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the weather locations.

Package: gir1.2-gweather-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GWeather library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains introspection data for the GWeather library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## libgweather 3.28.2

=== debian/changelog ===
libgweather (3.28.2-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * debian/libgweather-3-15.symbols: Add Build-Depends-Package
  * Update dh_translations override for Ubuntu
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:18:31 -0500

libgweather (3.28.2-1) unstable; urgency=medium

  * New upstream bug-fix release

 -- Tim Lunn <tim@feathertop.org>  Sun, 09 Sep 2018 18:51:22 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11.1.3),
                ca-certificates <!nocheck>,
                gnome-pkg-tools,
@@ -26,7 +26,7 @@
                valac (>= 0.20),
                libgeocode-glib-dev,
                libgladeui-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgweather
 Vcs-Git: https://salsa.debian.org/gnome-team/libgweather.git
 Homepage: https://wiki.gnome.org/Projects/LibGWeather

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

CHECK_HOME = $(CURDIR)/debian/tmp/home

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
                             -Denable_vala=true \
                             -Dgtk_doc=true \
                             -Dglade-catalog=true

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CHECK_HOME)
	# Ignore test failures since tests require Internet access
	env XDG_RUNTIME_DIR=$(CHECK_HOME) dh_auto_test || true
endif

override_dh_clean:
	rm -rf $(CHECK_HOME)
	dh_clean

# Ubuntu's dh_translations can't handle two .pot files yet
# https://launchpad.net/bugs/1751820
override_dh_translations:
	dh_translations --domain=libgweather-3.0
	ninja -C obj-$(DEB_HOST_GNU_TYPE) libgweather-locations-pot

override_dh_auto_clean:
	dh_auto_clean
	rm -f po-locations/libgweather-locations.pot

## libgweather 3.28.3

=== debian/changelog ===
libgweather (3.28.3-1) unstable; urgency=medium

  * New upstream bugfix release
    - Fix a possible crash in gnome-shell
    - Fix infinite loop calculating sunset/sunrise for named timezones
    - Fix METAR weather extraction
    - Fix "nearest station" fallback code
    - Fix reproducibility with enum header
    - Updated translations

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Mar 2019 07:04:43 -0400

## libgweather 3.32.1

=== debian/changelog ===
libgweather (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Mar 2019 20:20:13 -0400

libgweather (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * debian/libgweather-3-15.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Mar 2019 07:14:03 -0400

## libgweather 3.34.0

=== debian/changelog ===
libgweather (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 Oct 2019 18:04:50 -0400

libgweather (3.33.92-1) experimental; urgency=medium

  * New upstream release
  * Bump meson build-dep as per meson.build

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 15 Sep 2019 22:33:53 +0200

libgweather (3.33.0-1) experimental; urgency=medium

  * New upstream release.
    - In 3.31.91, ABI was broken without changing SONAME (see upstream
      issue #17). In this release the SONAME is bumped.
  * Update debian/watch to track also unstable versions.
  * Bump required libglib2.0-dev to 2.44.0, following upstream meson.build.
  * Rename libgweather-3-15 to libgweather-3-16, to match new SONAME.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Remove empty debian/patches/series.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Aug 2019 19:33:11 +0300

libgweather (3.28.3-2) unstable; urgency=medium

  * Team upload
  * d/p/Locations-Update-ICAO-for-Lima-Callao-Jorge-Ch-vez-Intern.patch:
    Backport corrected ICAO code for Lima-Callao, Jorge Chávez
    International Airport. Thanks to Diego Escalante Urrelo.
    (Closes: #935075)
  * d/gbp.conf: Set packaging branch to debian/unstable.
    The debian/master branch already contains newer upstream releases
    targeting experimental.

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Aug 2019 20:52:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,32 +6,32 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11.1.3),
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 12),
                ca-certificates <!nocheck>,
-               gnome-pkg-tools,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                libxml2-dev (>= 2.6.0),
-               libglib2.0-dev (>= 2.35.1),
+               libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 3.13.5),
                libsoup2.4-dev (>= 2.44.0),
-               meson (>= 0.43),
+               meson (>= 0.50.0),
                pkg-config (>= 0.19),
                libxml2-utils,
                gtk-doc-tools,
                libglib2.0-doc,
                libgtk-3-doc,
                libgirepository1.0-dev (>= 0.9.5),
-               gobject-introspection (>= 0.9.12-4~),
                tzdata (>= 2016g),
                valac (>= 0.20),
                libgeocode-glib-dev,
                libgladeui-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgweather
 Vcs-Git: https://salsa.debian.org/gnome-team/libgweather.git
 Homepage: https://wiki.gnome.org/Projects/LibGWeather
 
-Package: libgweather-3-15
+Package: libgweather-3-16
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -47,7 +47,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgweather-3-15 (= ${binary:Version}),
+Depends: libgweather-3-16 (= ${binary:Version}),
          gir1.2-gweather-3.0 (= ${binary:Version}),
          libgeocode-glib-dev,
          libglib2.0-dev (>= 2.35.1),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CHECK_HOME = $(CURDIR)/debian/tmp/home
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## libgweather 3.36.0

=== debian/changelog ===
libgweather (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - debian/libgweather-3-16.symbols: Add newly exported symbol
  * debian/rules: Also set the HOME to a writable directory for the tests
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Set Rules-Requires-Root: no

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Mar 2020 20:23:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                ca-certificates <!nocheck>,
                dh-sequence-gir,
@@ -26,7 +26,8 @@
                valac (>= 0.20),
                libgeocode-glib-dev,
                libgladeui-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgweather
 Vcs-Git: https://salsa.debian.org/gnome-team/libgweather.git
 Homepage: https://wiki.gnome.org/Projects/LibGWeather

## libgweather 3.36.1

=== meson_options.txt ===
option('zoneinfo_dir', type: 'string', value: '/usr/share/zoneinfo',
       description: 'zoneinfo directory')
option('owm_apikey', type: 'string', value: '',
       description: 'Specify an API key for OpenWeatherMap (optional)')
option('glade_catalog', type: 'combo', choices : ['true', 'false', 'auto'], value : 'auto',
       description: 'Install a glade catalog file')
option('enable_vala', type: 'combo', choices : ['true', 'false', 'auto'], value : 'auto',
       description: 'Install vala bindings')
option('gtk_doc', type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

=== debian/changelog ===
libgweather (3.36.1-3) unstable; urgency=medium

  * d/p/: Add the app ID to HTTP user agent when doing a query to met.no.
    This has been requested by the data provider to be able to track
    misbehaving applications. The patch is cherry-picked from upstream, the
    library should functionally be the same as 3.36.2 when querying met.no now
    (Closes: #986016)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 30 Mar 2021 13:37:59 +0200

libgweather (3.36.1-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Add patches from upstream for yr.no->met.no API. These patches has been
    cherry-picked from upstream and modified to apply directly to the yrno
    backend (without renaming it to metno and breaking the API). (Closes:
    #983917)

  [ Laurent Bigonville ]
  * Only use 4 significant decimals for locations when sending the query.
    Patch from upstream. More precision is not needed and this helps to
    improve caching on the provider side and reduce their load.

 -- Iain Lane <laney@debian.org>  Wed, 10 Mar 2021 17:26:48 +0000

libgweather (3.36.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - This version works around the unavailability of the NOAA weather
      services by using very short-term forecasts as current weather
      conditions. (Closes: #968909)

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Aug 2020 23:36:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                ca-certificates <!nocheck>,
                dh-sequence-gir,

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p $(CHECK_HOME)
 	# Ignore test failures since tests require Internet access
-	env XDG_RUNTIME_DIR=$(CHECK_HOME) dh_auto_test || true
+	env HOME=$(CHECK_HOME) XDG_RUNTIME_DIR=$(CHECK_HOME) dh_auto_test || true
 endif
 
 override_dh_clean:
